<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Request Fund</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Request Fund
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transaction</li>
        <li class="active"> Request Fund</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">

        <div class="col-md-6">

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Gagal!</h4>

                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa detail anggaran yang anda pilih</p>
                <!--  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> -->

            </div>

            <div class="callout callout-danger" th:if="${gagalpagubudget != null}">
                <h4>Save Data Gagal!</h4>

                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa PAGU anggaran..</p>
            </div>

            <div class="callout callout-danger" th:if="${gagalAnggaran != null}">
                <h4>Save Data Gagal!</h4>

                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa Anggara pada departemen anda</p>
            </div>

            <div class="callout callout-danger" th:if="${gagalkaryawan != null}">
                <h4>Save Data Gagal!</h4>

                <p>kolom request For belum diisi..</p>
                <!--  <p th:text="${'Dana yang sudah dikeluarkan : Rp ' + #numbers.formatDecimal(totalKeluar, 0, 'POINT', 2, 'COMMA')}"></p> -->
            </div>

            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Form Request Fund</h3>
                </div>
                <!-- /.box-header -->
                <!-- form start -->
                <form class="form-horizontal" th:action="@{/transaksi/pengajuandana/update}" th:object="${pengajuanDana}" method="post" enctype="multipart/form-data">
                    <div class="box-body">

                        <div class="form-group">
                            <label for="anggaran" class="col-sm-2 control-label">Budget</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="anggaran" th:field="*{anggaran}" id="anggaran" style="width: 100%;" onchange="dAnggaran()" onselect="dAnggaran()" required>

                                    <option value="">Pilih Anggaran</option>
                                    <option th:each="data : ${listAnggaran}"
                                            th:text="${'('+ data[1] +')'  + '       -       ' +  data[2] + ' - Sisa : Rp ' + #numbers.formatDecimal(data[5], 0, 'POINT', 2, 'COMMA')}"
                                            th:value="${data[0]}">sdasd</option>
                                </select>
                                <input type="hidden" id="isiAnggaran" name="isiAnggaran" th:field="*{anggaran}">
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="anggaranDetail" class="col-sm-2 control-label">Detail_Budget</label>
                            <div class="col-sm-10">
                                <select id="anggaranDetail" name="anggaranDetail" th:field="*{anggaranDetail}"  class="form-control select2" onchange="hitung()" required>

                                </select>
                                <input type="hidden" id="isiDetailAnggaran" name="anggaranDetail" th:field="*{anggaranDetail}">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="requestFor" class="col-sm-2 control-label">Request For</label>

                            <div class="col-sm-10">
                                <select class="form-control select2" name="requestFor" th:field="*{requestFor}" id="requestFor" style="width: 100%;" required>

                                    <option value="">Pilih Karyawan</option>
                                    <option th:each="data : ${listKaryawan}"
                                            th:text="${data.namaKaryawan}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="deskripsiBiaya" class="col-sm-2 control-label">Description</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{deskripsiBiaya}" name="deskripsiBiaya" id="deskripsiBiaya" placeholder="Deskripsi Biaya">
                                <p th:if="${#fields.hasErrors('deskripsiBiaya')}" th:errors="*{deskripsiBiaya}" class="text-danger"> deskripsiBiaya Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="kuantitas" class="col-sm-2 control-label">Qty</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{kuantitas}" name="kuantitas" id="kuantitas" placeholder="0.00">
                                <p th:if="${#fields.hasErrors('kuantitas')}" th:errors="*{kuantitas}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="inputSatuan" class="col-sm-2 control-label">Unit</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{satuan}" name="satuan" id="inputSatuan" placeholder="0.00" readonly>
                                <p th:if="${#fields.hasErrors('satuan')}" th:errors="*{satuan}" class="text-danger"> Satuan Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="inputAmount" class="col-sm-2 control-label">Unit Price</label>

                            <div class="col-sm-10">
                                <input type="text" class="form-control" th:field="*{amount}" name="amount" id="inputAmount" placeholder="0.00">
                                <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="lampiran" class="col-sm-2 control-label">File_Upload</label>

                            <div class="col-sm-10">
                                <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/png,application/pdf" required>

                                <p class="help-block">Upload file bila perlu.</p>
                            </div>
                        </div>

                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <!-- /.box-body -->
                    <div class="box-footer">

                        <a th:href="@{/transaksi/pengajuandana}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalPenerimaan').datepicker({
                autoclose: true, locale: { format: 'YYYY-MM-DD' }
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        (function($){
            $('#anggaran').select2();

            $('#anggaran').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiAnggaran').val(e.params.args.data.id);
            });
        })(jQuery);

        function dAnggaran() {
            let dropdown = $('#anggaranDetail');

            dropdown.empty();

            dropdown.append('<option selected="true" disabled>Pilih Detail Anggaran</option>');
            dropdown.prop('selectedIndex', 0);
            console.log($('#isiAnggaran').val())
            const url = '/api/detail/anggaran?idAnggaran='+$('#isiAnggaran').val();

            // Populate dropdown with list of provinces
            $.getJSON(url, function (data) {

                $.each(data, function (key, entry) {
                    dropdown.append($('<option></option>').attr('value', entry.id).text(entry.deskripsi));
                })
            });
        }


        function hitung() {
            var x = document.getElementById("detailAnggaran").value;
            $('#isiDetailAnggaran').val(x)
            console.log(x);
            const url = '/api/anggaran/hitung?id='+x;
            $.getJSON(url, function (data) {

                $('#inputAmount').val(data.amount);
                $('#inputSatuan').val(data.satuan);

            });

        }


        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>

    <script>
        var fileInput = document.getElementById('lampiran');
        fileInput.addEventListener('change', function(event) {
            var file = event.target.files[0];
            var allowedExtensions = /(\.jpeg|\.jpg|\.png|\.pdf)$/i; // Ekstensi yang diizinkan
            var maxSizeInBytes = 2 * 1024 * 1024; // Ukuran maksimum file dalam bytes (2MB)

            if (!allowedExtensions.exec(file.name)) {
                alert('File yang diunggah harus dalam format JPEG, JPG, PNG, atau PDF.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }

            if (file.size > maxSizeInBytes) {
                alert('Ukuran file tidak boleh melebihi 2MB.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }
        });
    </script>

</section>
</body>
</html>